Package com.omnisci.thrift.server

## Class TTableDetails

- java.lang.Object
- - com.omnisci.thrift.server.TTableDetails

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTableDetails>`, `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`, `org.apache.thrift.TSerializable`

    public class TTableDetails
    extends Object
    implements org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>, Serializable, Cloneable, Comparable<TTableDetails>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTableDetails._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `fragment_size`
`boolean` `is_temporary`
`String` `key_metainfo`
`long` `max_rows`
`static Map<TTableDetails._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `page_size`
`TPartitionDetail` `partition_detail`
`List<TColumnType>` `row_desc`
`long` `shard_count`
`String` `view_sql`

### Constructor Summary

Constructors
`TTableDetails()`
`TTableDetails​(TTableDetails other)` Performs a deep copy on other.
`TTableDetails​(List<TColumnType> row_desc, long fragment_size, long page_size, long max_rows, String view_sql, long shard_count, String key_metainfo, boolean is_temporary, TPartitionDetail partition_detail)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRow_desc​(TColumnType elem)`
`void` `clear()`
`int` `compareTo​(TTableDetails other)`
`TTableDetails` `deepCopy()`
`boolean` `equals​(TTableDetails that)`
`boolean` `equals​(Object that)`
`TTableDetails._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TTableDetails._Fields field)`
`long` `getFragment_size()`
`String` `getKey_metainfo()`
`long` `getMax_rows()`
`long` `getPage_size()`
`TPartitionDetail` `getPartition_detail()`
`List<TColumnType>` `getRow_desc()`
`Iterator<TColumnType>` `getRow_descIterator()`
`int` `getRow_descSize()`
`long` `getShard_count()`
`String` `getView_sql()`
`int` `hashCode()`
`boolean` `isIs_temporary()`
`boolean` `isSet​(TTableDetails._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetFragment_size()` Returns true if field fragment_size is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_temporary()` Returns true if field is_temporary is set (has been assigned a value) and false otherwise
`boolean` `isSetKey_metainfo()` Returns true if field key_metainfo is set (has been assigned a value) and false otherwise
`boolean` `isSetMax_rows()` Returns true if field max_rows is set (has been assigned a value) and false otherwise
`boolean` `isSetPage_size()` Returns true if field page_size is set (has been assigned a value) and false otherwise
`boolean` `isSetPartition_detail()` Returns true if field partition_detail is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_desc()` Returns true if field row_desc is set (has been assigned a value) and false otherwise
`boolean` `isSetShard_count()` Returns true if field shard_count is set (has been assigned a value) and false otherwise
`boolean` `isSetView_sql()` Returns true if field view_sql is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TTableDetails._Fields field, Object value)`
`TTableDetails` `setFragment_size​(long fragment_size)`
`void` `setFragment_sizeIsSet​(boolean value)`
`TTableDetails` `setIs_temporary​(boolean is_temporary)`
`void` `setIs_temporaryIsSet​(boolean value)`
`TTableDetails` `setKey_metainfo​(String key_metainfo)`
`void` `setKey_metainfoIsSet​(boolean value)`
`TTableDetails` `setMax_rows​(long max_rows)`
`void` `setMax_rowsIsSet​(boolean value)`
`TTableDetails` `setPage_size​(long page_size)`
`void` `setPage_sizeIsSet​(boolean value)`
`TTableDetails` `setPartition_detail​(TPartitionDetail partition_detail)`
`void` `setPartition_detailIsSet​(boolean value)`
`TTableDetails` `setRow_desc​(List<TColumnType> row_desc)`
`void` `setRow_descIsSet​(boolean value)`
`TTableDetails` `setShard_count​(long shard_count)`
`void` `setShard_countIsSet​(boolean value)`
`TTableDetails` `setView_sql​(String view_sql)`
`void` `setView_sqlIsSet​(boolean value)`
`String` `toString()`
`void` `unsetFragment_size()`
`void` `unsetIs_temporary()`
`void` `unsetKey_metainfo()`
`void` `unsetMax_rows()`
`void` `unsetPage_size()`
`void` `unsetPartition_detail()`
`void` `unsetRow_desc()`
`void` `unsetShard_count()`
`void` `unsetView_sql()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### row_desc

    public List<TColumnType> row_desc

#### fragment_size

    public long fragment_size

#### page_size

    public long page_size

#### max_rows

    public long max_rows

#### view_sql

    public String view_sql

#### shard_count

    public long shard_count

#### key_metainfo

    public String key_metainfo

#### is_temporary

    public boolean is_temporary

#### partition_detail

    public TPartitionDetail partition_detail

See Also:
  `TPartitionDetail`

#### metaDataMap

    public static final Map<TTableDetails._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTableDetails

    public TTableDetails()

#### TTableDetails

    public TTableDetails​(List<TColumnType> row_desc,
                         long fragment_size,
                         long page_size,
                         long max_rows,
                         String view_sql,
                         long shard_count,
                         String key_metainfo,
                         boolean is_temporary,
                         TPartitionDetail partition_detail)

#### TTableDetails

    public TTableDetails​(TTableDetails other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTableDetails deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### getRow_descSize

    public int getRow_descSize()

#### getRow_descIterator

    public Iterator<TColumnType> getRow_descIterator()

#### addToRow_desc

    public void addToRow_desc​(TColumnType elem)

#### getRow_desc

    public List<TColumnType> getRow_desc()

#### setRow_desc

    public TTableDetails setRow_desc​(List<TColumnType> row_desc)

#### unsetRow_desc

    public void unsetRow_desc()

#### isSetRow_desc

    public boolean isSetRow_desc()

Returns true if field row_desc is set (has been assigned a value) and false otherwise

#### setRow_descIsSet

    public void setRow_descIsSet​(boolean value)

#### getFragment_size

    public long getFragment_size()

#### setFragment_size

    public TTableDetails setFragment_size​(long fragment_size)

#### unsetFragment_size

    public void unsetFragment_size()

#### isSetFragment_size

    public boolean isSetFragment_size()

Returns true if field fragment_size is set (has been assigned a value) and false otherwise

#### setFragment_sizeIsSet

    public void setFragment_sizeIsSet​(boolean value)

#### getPage_size

    public long getPage_size()

#### setPage_size

    public TTableDetails setPage_size​(long page_size)

#### unsetPage_size

    public void unsetPage_size()

#### isSetPage_size

    public boolean isSetPage_size()

Returns true if field page_size is set (has been assigned a value) and false otherwise

#### setPage_sizeIsSet

    public void setPage_sizeIsSet​(boolean value)

#### getMax_rows

    public long getMax_rows()

#### setMax_rows

    public TTableDetails setMax_rows​(long max_rows)

#### unsetMax_rows

    public void unsetMax_rows()

#### isSetMax_rows

    public boolean isSetMax_rows()

Returns true if field max_rows is set (has been assigned a value) and false otherwise

#### setMax_rowsIsSet

    public void setMax_rowsIsSet​(boolean value)

#### getView_sql

    public String getView_sql()

#### setView_sql

    public TTableDetails setView_sql​(String view_sql)

#### unsetView_sql

    public void unsetView_sql()

#### isSetView_sql

    public boolean isSetView_sql()

Returns true if field view_sql is set (has been assigned a value) and false otherwise

#### setView_sqlIsSet

    public void setView_sqlIsSet​(boolean value)

#### getShard_count

    public long getShard_count()

#### setShard_count

    public TTableDetails setShard_count​(long shard_count)

#### unsetShard_count

    public void unsetShard_count()

#### isSetShard_count

    public boolean isSetShard_count()

Returns true if field shard_count is set (has been assigned a value) and false otherwise

#### setShard_countIsSet

    public void setShard_countIsSet​(boolean value)

#### getKey_metainfo

    public String getKey_metainfo()

#### setKey_metainfo

    public TTableDetails setKey_metainfo​(String key_metainfo)

#### unsetKey_metainfo

    public void unsetKey_metainfo()

#### isSetKey_metainfo

    public boolean isSetKey_metainfo()

Returns true if field key_metainfo is set (has been assigned a value) and false otherwise

#### setKey_metainfoIsSet

    public void setKey_metainfoIsSet​(boolean value)

#### isIs_temporary

    public boolean isIs_temporary()

#### setIs_temporary

    public TTableDetails setIs_temporary​(boolean is_temporary)

#### unsetIs_temporary

    public void unsetIs_temporary()

#### isSetIs_temporary

    public boolean isSetIs_temporary()

Returns true if field is_temporary is set (has been assigned a value) and false otherwise

#### setIs_temporaryIsSet

    public void setIs_temporaryIsSet​(boolean value)

#### getPartition_detail

    public TPartitionDetail getPartition_detail()

See Also:
  `TPartitionDetail`

#### setPartition_detail

    public TTableDetails setPartition_detail​(TPartitionDetail partition_detail)

See Also:
  `TPartitionDetail`

#### unsetPartition_detail

    public void unsetPartition_detail()

#### isSetPartition_detail

    public boolean isSetPartition_detail()

Returns true if field partition_detail is set (has been assigned a value) and false otherwise

#### setPartition_detailIsSet

    public void setPartition_detailIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTableDetails._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTableDetails._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### isSet

    public boolean isSet​(TTableDetails._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTableDetails that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTableDetails other)

Specified by:
  `compareTo` in interface `Comparable<TTableDetails>`

#### fieldForId

    public TTableDetails._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTableDetails,​TTableDetails._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`